Bug 589479 - Review Request: perl-Compress-Raw-Lzma - Low-level interface to lzma compression library
Review Request: perl-Compress-Raw-Lzma - Low-level interface to lzma compress...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 589482
  Show dependency treegraph
 
Reported: 2010-05-06 05:32 EDT by Paul Howarth
Modified: 2010-05-12 10:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Compress-Raw-Lzma-2.029-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 08:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2010-05-06 05:32:17 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Compress-Raw-Lzma/branches/fedora/perl-Compress-Raw-Lzma.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Compress-Raw-Lzma/perl-Compress-Raw-Lzma-2.028-1.fc14.src.rpm
Description:

This module provides a Perl interface to the lzma compression library.
It is used by IO::Compress::Lzma.
Comment 1 Jochen Schmitt 2010-05-06 13:51:18 EDT
GOOD:
+ Package name fullfill naming guidelines.
+ URL tag contains proper project home page.
+ Package contains most recent release of the software.
+ Could download source file via spectool -g
+ Consistantly rpm macro usages.
+ License tag contains proper OSS licenses
+ Package has proper BuildRoot definition.
+ Package contains versioned MODULE_cOMPAT_ Req.
+ Package contains no subpackages
+ Build use RPM_OPT_FLAGS
+ Build use SMP flags
+ Local build works fine.
+ Mockbuild works fine.
+ Build on koji works fine.
+ Packaged sources matches with upstream.
* Rpmlint has no complains about the binary package
+ Rpmlint has no complains about the debuginfo package
+ Debuginfo package contains sources
+ %files stanza use rpm macros
+ %files has proper attributes
+ All files of the package belong to the package
+ Package contains no files belog to an other package
+ %doc stanza is small, so we ne no extra doc subpackage
+ Package has proper %ChangeLog

BAD:
- Package contains no verbatin copy of the license text.
- Package has no %clean section, so it's only valid for F-13 and devel
- Rpmlint shows warnings for the source RPM_OPT_FLAGS$ rpmlint perl-Compress-Raw-Lzma-2.028-1.fc12.src.rpm 
perl-Compress-Raw-Lzma.src: W: no-cleaning-of-buildroot %clean
perl-Compress-Raw-Lzma.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

-
Comment 2 Paul Howarth 2010-05-06 14:48:01 EDT
- Package contains no verbatim copy of the license text.

The upstream tarball doesn't contain one, as usual for perl modules. The license terms are clearly stated as "same as perl" in the code itself though.

- Package has no %clean section, so it's only valid for F-13 and devel
- Rpmlint shows warnings for the source RPM_OPT_FLAGS$ rpmlint
perl-Compress-Raw-Lzma-2.028-1.fc12.src.rpm 
perl-Compress-Raw-Lzma.src: W: no-cleaning-of-buildroot %clean
perl-Compress-Raw-Lzma.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These are intended. The only current user of Compress::Raw::Lzma is IO::Compress::Lzma (see Bug #589482) and that requires IO::Compress::Base >= 2.027, which only went into Rawhide today. I don't expect to be building this for F-12 or earlier releases any time soon, especially since IO::Compress::Base is a core module and unlikely to be updated there unless there's a real bug.
Comment 4 Jochen Schmitt 2010-05-09 14:19:17 EDT
Bood:
+ Could download upstream sources via spectool -g
+ Packaged sources matches with updateam
(md5sum: 96ed2d92d64c911e4c5e0b6cdd34f13b)
+ Local build works fine
+ Build honours RPM_OPT_FLAGS
+ Build is SMP compilant
+ Scratch build on koji works fine

*** APPROVED for devel and F-13 ***
Comment 5 Paul Howarth 2010-05-09 16:24:56 EDT
New Package CVS Request
=======================
Package Name: perl-Compress-Raw-Lzma
Short Description: Low-level interface to lzma compression library
Owners: pghmcfc
Branches: F-13
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-05-11 00:42:31 EDT
CVS done (by process-cvs-requests.py).

Remember to assign the review to the package reviewer. ;)
Comment 7 Fedora Update System 2010-05-11 06:02:58 EDT
perl-Compress-Raw-Lzma-2.029-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Compress-Raw-Lzma-2.029-2.fc13
Comment 8 Fedora Update System 2010-05-12 08:22:28 EDT
perl-Compress-Raw-Lzma-2.029-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Paul Howarth 2010-05-12 10:33:35 EDT
All done; thanks for the review Jochen.

Note You need to log in before you can comment on or make changes to this bug.